#ifndef GRFONT_INCLUDED
#define GRFONT_INCLUDED

#include <string>

class glFont {
public:
	static bool Initialized;
	static void Init(char* filename);
	static void Cleanup();
	static void Print(std::string String, float x, float y, float sz, bool right=0, bool upsideDown=0);
	static void PrintArea(std::string String, float x, float y, float w, float h, float sz);
	
private:
	glFont() {};
	struct CHAR	{
		float width, height;
		float tx1, ty1, tx2, ty2;
	};

	static unsigned Tex, TexWidth, TexHeight, TexStart, TexEnd;
	static CHAR* Char;
};

#endif
