#include "mainFrame.h"
#include "maptool.h"

class MyApp: public wxApp {
public:
	bool OnInit();
	int OnExit();
};

bool MyApp::OnInit() {
	loadLanguage("data/german.lang");
	loadData("data/aventurien.drf");
	frame = new MyFrame(nullptr);
	return true;
}

int MyApp::OnExit() {
	Location::clear();
	Connection::clear();
	return 0;
}

IMPLEMENT_APP(MyApp)
