#ifndef CURVES_INCLUDED
#define CURVES_INCLUDED

#include "vector.h"

double distPointLineSegSq(const Vector3d& p, const Vector3d& a, const Vector3d& b);
Vector3d getClosestPtLineSeg(const Vector3d& p, const Vector3d& a, const Vector3d& b);
float CRSplinePointDistSq(const Vector3d& p, const Vector3d& p1, const Vector3d& p2, const Vector3d& p3, const Vector3d& p4);
Vector3d CRGetClosestPt(const Vector3d& p, const Vector3d& p1, const Vector3d& p2, const Vector3d& p3, const Vector3d& p4);
Vector3d catmullRom(float t, const Vector3d& p1, const Vector3d& p2, const Vector3d& p3, const Vector3d& p4);
float CRSplineLength(const Vector3d& p1, const Vector3d& p2, const Vector3d& p3, const Vector3d& p4);
void renderCRSpline(const Vector3d& p1, const Vector3d& p2, const Vector3d& p3, const Vector3d& p4);

#endif
