#include "languages.h"

#include <tinyxml.h>

std::map<std::string, std::string> LANG;

void loadLanguage(const std::string& file) {
	TiXmlDocument xml(file.c_str());
	if (xml.LoadFile()) {
		TiXmlElement* root=xml.RootElement();

		TiXmlAttribute* a = root->FirstAttribute();
		while (a) {
			LANG[a->Name()]=a->Value();
			a = a->Next();
		}
	}
}
